4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.BuildExt

Classes: BuildExt |  |  |  | Globals: STRIP_EXPORTS_ARGLIST, STRIP_EXPORTS_FILE, STRIP_EXPORTS_POST_LINK, STRIP_NONE, STRIP_VERSIONING

## Classes

class BuildExt(distutils.command.build_ext.build_ext)

  ### Methods

  build_extension(self, ext)
    Overrides: build_extension from class build_ext
  check_extensions_list(self, extensions)
    Overrides: check_extensions_list from class build_ext
  finalize_options(self)
    Overrides: finalize_options from class build_ext
  get_export_symbols(self, extension)
    Overrides: get_export_symbols from class build_ext
  get_source_files(self)
    Overrides: get_source_files from class build_ext
  initialize_options(self)
    Overrides: initialize_options from class build_ext

  ### Methods inherited from class distutils.command.build_ext.build_ext

  build_extensions, find_swig, get_ext_filename, get_ext_fullname, get_libraries, get_outputs, run, swig_sources

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  command_name = 'build_ext'

  ### Members inherited from class distutils.command.build_ext.build_ext

  boolean_options, description, help_options, sep_by, user_options

  ### Members inherited from class distutils.cmd.Command

  sub_commands

## Globals

STRIP_EXPORTS_ARGLIST = 3
STRIP_EXPORTS_FILE = 2
STRIP_EXPORTS_POST_LINK = 4
STRIP_NONE = 0
STRIP_VERSIONING = 1